Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.domain
Interface Type

All Known Subinterfaces:
  AttributeContainer, Hierarchical

All Known Implementing Classes:
  AbstractAttributeContainer, BasicType, Component, Entity, NonEntity, Superclass

    public interface Type

Basic information about a Java type, in regards to its role in particular set of mappings.

Method Summary
`String` | `getClassName()` Obtain the java class name for this type.
`Class<?>` | `getClassReference()` Obtain the java `Class` reference for this type
`Value<Class<?>>` | `getClassReferenceUnresolved()`
`String` | `getName()` Obtain the name of the type.
`boolean` | `isAssociation()`
`boolean` | `isComponent()`

Method Detail

### getName

    String getName()

  Obtain the name of the type.

  Returns:
    The name

### getClassName

    String getClassName()

  Obtain the java class name for this type.

  Returns:
    The class name

### getClassReference

    Class<?> getClassReference()

  Obtain the java `Class` reference for this type

  Returns:
    The `Class` reference
  Throws:
    `ClassLoadingException` - Indicates the class reference could not be determined. Generally this is the case in reverse-engineering scenarios where the specified domain model classes do not yet exist.

### getClassReferenceUnresolved

    Value<Class<?>> getClassReferenceUnresolved()

### isAssociation

    boolean isAssociation()

### isComponent

    boolean isComponent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.